# FvwmCommand.pm
# Collection of fvwm builtin commands for FvwmCommand
package FvwmCommand;
use Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(
  XorValue XorPixmap XineramaSlsSize XineramaSls XineramaPrimaryScreen
  Xinerama WindowShadeAnimate WindowShade WindowList WindowId
  WindowFont WarpToWindow Wait UpdateStyles UpdateDecor
  UnsetEnv TitleStyle Title ThisWindow Style
  StrokeFunc Stroke Stick SnapGrid SnapAttraction
  Silent SetEnv SetAnimation set_sync_mask set_nograb_mask
  set_mask SendToModule Send_WindowList Send_ConfigInfo Scroll
  SaveSession SaveQuitSession Restart ResizeMove Resize
  Repeat RefreshWindow Refresh RecaptureWindow Recapture
  Read RaiseLower Raise QuitSession QuitScreen
  Quit Prev Popup PointerKey PlaceAgain
  PixmapPath PipeRead Pick OpaqueMoveSize Nop
  None Next MoveToScreen MoveToPage MoveToDesk
  MoveThreshold Move Mouse ModuleTimeout ModuleSynchronous
  ModulePath Module MenuStyle Menu Maximize
  Lower Layer KillModule Key ImagePath
  IgnoreModifiers IconPath Iconify IconFont HilightColorset
  HilightColor HideGeometryWindow GotoPage GotoDeskAndPage GotoDesk
  GnomeShowDesks GnomeButton GlobalOpts Function Focus
  FlipFocus FakeClick ExecUseShell Exec EscapeFunc
  Emulate EdgeThickness EdgeScroll EdgeResistance Echo
  Direction DestroyStyle DestroyModuleConfig DestroyMenuStyle DestroyMenu
  DestroyFunc DestroyDecor Destroy DesktopSize Desk
  Delete DefaultLayers DefaultIcon DefaultFont DefaultColorset
  DefaultColors CursorStyle CursorMove Current CopyMenuStyle
  Colorset ColormapFocus ColorLimit Close ClickTime
  ChangeMenuStyle ChangeDecor ButtonStyle ButtonState BusyCursor
  BugOpts BorderStyle Beep AnimatedMove All
  AddToMenu AddToFunc AddToDecor AddTitleStyle AddButtonStyle
  Plus
);

sub FvwmCommand { system "/usr/X11R6/bin/FvwmCommand '@_'"}

sub XorValue { FvwmCommand "XorValue @_ " }
sub XorPixmap { FvwmCommand "XorPixmap @_ " }
sub XineramaSlsSize { FvwmCommand "XineramaSlsSize @_ " }
sub XineramaSls { FvwmCommand "XineramaSls @_ " }
sub XineramaPrimaryScreen { FvwmCommand "XineramaPrimaryScreen @_ " }
sub Xinerama { FvwmCommand "Xinerama @_ " }
sub WindowShadeAnimate { FvwmCommand "WindowShadeAnimate @_ " }
sub WindowShade { FvwmCommand "WindowShade @_ " }
sub WindowList { FvwmCommand "WindowList @_ " }
sub WindowId { FvwmCommand "WindowId @_ " }
sub WindowFont { FvwmCommand "WindowFont @_ " }
sub WarpToWindow { FvwmCommand "WarpToWindow @_ " }
sub Wait { FvwmCommand "Wait @_ " }
sub UpdateStyles { FvwmCommand "UpdateStyles @_ " }
sub UpdateDecor { FvwmCommand "UpdateDecor @_ " }
sub UnsetEnv { FvwmCommand "UnsetEnv @_ " }
sub TitleStyle { FvwmCommand "TitleStyle @_ " }
sub Title { FvwmCommand "Title @_ " }
sub ThisWindow { FvwmCommand "ThisWindow @_ " }
sub Style { FvwmCommand "Style @_ " }
sub StrokeFunc { FvwmCommand "StrokeFunc @_ " }
sub Stroke { FvwmCommand "Stroke @_ " }
sub Stick { FvwmCommand "Stick @_ " }
sub SnapGrid { FvwmCommand "SnapGrid @_ " }
sub SnapAttraction { FvwmCommand "SnapAttraction @_ " }
sub Silent { FvwmCommand "Silent @_ " }
sub SetEnv { FvwmCommand "SetEnv @_ " }
sub SetAnimation { FvwmCommand "SetAnimation @_ " }
sub set_sync_mask { FvwmCommand "set_sync_mask @_ " }
sub set_nograb_mask { FvwmCommand "set_nograb_mask @_ " }
sub set_mask { FvwmCommand "set_mask @_ " }
sub SendToModule { FvwmCommand "SendToModule @_ " }
sub Send_WindowList { FvwmCommand "Send_WindowList @_ " }
sub Send_ConfigInfo { FvwmCommand "Send_ConfigInfo @_ " }
sub Scroll { FvwmCommand "Scroll @_ " }
sub SaveSession { FvwmCommand "SaveSession @_ " }
sub SaveQuitSession { FvwmCommand "SaveQuitSession @_ " }
sub Restart { FvwmCommand "Restart @_ " }
sub ResizeMove { FvwmCommand "ResizeMove @_ " }
sub Resize { FvwmCommand "Resize @_ " }
sub Repeat { FvwmCommand "Repeat @_ " }
sub RefreshWindow { FvwmCommand "RefreshWindow @_ " }
sub Refresh { FvwmCommand "Refresh @_ " }
sub RecaptureWindow { FvwmCommand "RecaptureWindow @_ " }
sub Recapture { FvwmCommand "Recapture @_ " }
sub Read { FvwmCommand "Read @_ " }
sub RaiseLower { FvwmCommand "RaiseLower @_ " }
sub Raise { FvwmCommand "Raise @_ " }
sub QuitSession { FvwmCommand "QuitSession @_ " }
sub QuitScreen { FvwmCommand "QuitScreen @_ " }
sub Quit { FvwmCommand "Quit @_ " }
sub Prev { FvwmCommand "Prev @_ " }
sub Popup { FvwmCommand "Popup @_ " }
sub PointerKey { FvwmCommand "PointerKey @_ " }
sub PlaceAgain { FvwmCommand "PlaceAgain @_ " }
sub PixmapPath { FvwmCommand "PixmapPath @_ " }
sub PipeRead { FvwmCommand "PipeRead @_ " }
sub Pick { FvwmCommand "Pick @_ " }
sub OpaqueMoveSize { FvwmCommand "OpaqueMoveSize @_ " }
sub Nop { FvwmCommand "Nop @_ " }
sub None { FvwmCommand "None @_ " }
sub Next { FvwmCommand "Next @_ " }
sub MoveToScreen { FvwmCommand "MoveToScreen @_ " }
sub MoveToPage { FvwmCommand "MoveToPage @_ " }
sub MoveToDesk { FvwmCommand "MoveToDesk @_ " }
sub MoveThreshold { FvwmCommand "MoveThreshold @_ " }
sub Move { FvwmCommand "Move @_ " }
sub Mouse { FvwmCommand "Mouse @_ " }
sub ModuleTimeout { FvwmCommand "ModuleTimeout @_ " }
sub ModuleSynchronous { FvwmCommand "ModuleSynchronous @_ " }
sub ModulePath { FvwmCommand "ModulePath @_ " }
sub Module { FvwmCommand "Module @_ " }
sub MenuStyle { FvwmCommand "MenuStyle @_ " }
sub Menu { FvwmCommand "Menu @_ " }
sub Maximize { FvwmCommand "Maximize @_ " }
sub Lower { FvwmCommand "Lower @_ " }
sub Layer { FvwmCommand "Layer @_ " }
sub KillModule { FvwmCommand "KillModule @_ " }
sub Key { FvwmCommand "Key @_ " }
sub ImagePath { FvwmCommand "ImagePath @_ " }
sub IgnoreModifiers { FvwmCommand "IgnoreModifiers @_ " }
sub IconPath { FvwmCommand "IconPath @_ " }
sub Iconify { FvwmCommand "Iconify @_ " }
sub IconFont { FvwmCommand "IconFont @_ " }
sub HilightColorset { FvwmCommand "HilightColorset @_ " }
sub HilightColor { FvwmCommand "HilightColor @_ " }
sub HideGeometryWindow { FvwmCommand "HideGeometryWindow @_ " }
sub GotoPage { FvwmCommand "GotoPage @_ " }
sub GotoDeskAndPage { FvwmCommand "GotoDeskAndPage @_ " }
sub GotoDesk { FvwmCommand "GotoDesk @_ " }
sub GnomeShowDesks { FvwmCommand "GnomeShowDesks @_ " }
sub GnomeButton { FvwmCommand "GnomeButton @_ " }
sub GlobalOpts { FvwmCommand "GlobalOpts @_ " }
sub Function { FvwmCommand "Function @_ " }
sub Focus { FvwmCommand "Focus @_ " }
sub FlipFocus { FvwmCommand "FlipFocus @_ " }
sub FakeClick { FvwmCommand "FakeClick @_ " }
sub ExecUseShell { FvwmCommand "ExecUseShell @_ " }
sub Exec { FvwmCommand "Exec @_ " }
sub EscapeFunc { FvwmCommand "EscapeFunc @_ " }
sub Emulate { FvwmCommand "Emulate @_ " }
sub EdgeThickness { FvwmCommand "EdgeThickness @_ " }
sub EdgeScroll { FvwmCommand "EdgeScroll @_ " }
sub EdgeResistance { FvwmCommand "EdgeResistance @_ " }
sub Echo { FvwmCommand "Echo @_ " }
sub Direction { FvwmCommand "Direction @_ " }
sub DestroyStyle { FvwmCommand "DestroyStyle @_ " }
sub DestroyModuleConfig { FvwmCommand "DestroyModuleConfig @_ " }
sub DestroyMenuStyle { FvwmCommand "DestroyMenuStyle @_ " }
sub DestroyMenu { FvwmCommand "DestroyMenu @_ " }
sub DestroyFunc { FvwmCommand "DestroyFunc @_ " }
sub DestroyDecor { FvwmCommand "DestroyDecor @_ " }
sub Destroy { FvwmCommand "Destroy @_ " }
sub DesktopSize { FvwmCommand "DesktopSize @_ " }
sub Desk { FvwmCommand "Desk @_ " }
sub Delete { FvwmCommand "Delete @_ " }
sub DefaultLayers { FvwmCommand "DefaultLayers @_ " }
sub DefaultIcon { FvwmCommand "DefaultIcon @_ " }
sub DefaultFont { FvwmCommand "DefaultFont @_ " }
sub DefaultColorset { FvwmCommand "DefaultColorset @_ " }
sub DefaultColors { FvwmCommand "DefaultColors @_ " }
sub CursorStyle { FvwmCommand "CursorStyle @_ " }
sub CursorMove { FvwmCommand "CursorMove @_ " }
sub Current { FvwmCommand "Current @_ " }
sub CopyMenuStyle { FvwmCommand "CopyMenuStyle @_ " }
sub Colorset { FvwmCommand "Colorset @_ " }
sub ColormapFocus { FvwmCommand "ColormapFocus @_ " }
sub ColorLimit { FvwmCommand "ColorLimit @_ " }
sub Close { FvwmCommand "Close @_ " }
sub ClickTime { FvwmCommand "ClickTime @_ " }
sub ChangeMenuStyle { FvwmCommand "ChangeMenuStyle @_ " }
sub ChangeDecor { FvwmCommand "ChangeDecor @_ " }
sub ButtonStyle { FvwmCommand "ButtonStyle @_ " }
sub ButtonState { FvwmCommand "ButtonState @_ " }
sub BusyCursor { FvwmCommand "BusyCursor @_ " }
sub BugOpts { FvwmCommand "BugOpts @_ " }
sub BorderStyle { FvwmCommand "BorderStyle @_ " }
sub Beep { FvwmCommand "Beep @_ " }
sub AnimatedMove { FvwmCommand "AnimatedMove @_ " }
sub All { FvwmCommand "All @_ " }
sub AddToMenu { FvwmCommand "AddToMenu @_ " }
sub AddToFunc { FvwmCommand "AddToFunc @_ " }
sub AddToDecor { FvwmCommand "AddToDecor @_ " }
sub AddTitleStyle { FvwmCommand "AddTitleStyle @_ " }
sub AddButtonStyle { FvwmCommand "AddButtonStyle @_ " }
sub Plus { FvwmCommand "Plus @_ " }
sub AM { FvwmCommand "+ @_ " }
1;
